CustomersCustomer
Update customer
PATCH
/v1/customerUpdate customer. A successful request returns HTTP 204 without a response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/v1/customer" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store" \ -H "Content-Type: application/json" \ -d '{ "firstName": "Andrea", "lastName": "Ramos", "phone": "+51987654321", "identificationNumber": "example", "identificationType": "example", "entityName": "Comercial Lima SAC", "entityIdentificationNumber": "example", "gender": "male" }'Empty